namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MillProcessingSkill), 4)]   
    public partial class GoldOreDustRecipe : Recipe
    {
        public GoldOreDustRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<GoldOreDustItem>(),
               
               //new CraftingElement<Stone>(1), 
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<GoldOreItem>(typeof(MillProcessingEfficiencySkill), 20, MillProcessingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(GoldOreDustRecipe), Item.Get<GoldOreDustItem>().UILink(), 5, typeof(MillProcessingSpeedSkill)); 
            this.Initialize("Gold Ore Dust", typeof(GoldOreDustRecipe));
            CraftingComponent.AddRecipe(typeof(MillObject), this);
        }
    }

    [Serialized]
    [Weight(10000)]
    public partial class GoldOreDustItem : Item
    {
        public override string FriendlyName { get { return "Gold Ore Dust"; } }
        public override string FriendlyNamePlural { get { return "Gold Ore Dust"; } } 
        public override string Description { get { return "Milled ore with traces of gold. Can be used as glitter!"; } }
    }
}