namespace Eco.Mods.TechTree
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using Eco.Gameplay.Blocks;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.World;
    using Eco.World.Blocks;
    using Eco.Gameplay.Pipes;

    [RequiresSkill(typeof(MillProcessingSkill), 4)]   
    public partial class IronOreDustRecipe : Recipe
    {
        public IronOreDustRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<IronOreDustItem>(),
               
               //new CraftingElement<Stone>(1), 
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<IronOreItem>(typeof(MillProcessingEfficiencySkill), 20, MillProcessingEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(IronOreDustRecipe), Item.Get<IronOreDustItem>().UILink(), 5, typeof(MillProcessingSpeedSkill)); 
            this.Initialize("Iron Ore Dust", typeof(IronOreDustRecipe));
            CraftingComponent.AddRecipe(typeof(MillObject), this);
        }
    }

    [Serialized]
    [Weight(10000)]
    public partial class IronOreDustItem : Item
    {
        public override string FriendlyName { get { return "Iron Ore Dust"; } }
        public override string FriendlyNamePlural { get { return "Iron Ore Dust"; } } 
        public override string Description { get { return "Milled ore with traces of iron. Don't snort it!"; } }
    }
}